<bugID>463599<Summary>Tabbing order of browser tabs breaks when using recently closed tabs</Summary><Description>User-Agent:       Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.9.0.1) Gecko/2008070400 SUSE/3.0.1-1.1 Firefox/3.0.1
Build Identifier: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.9.0.1) Gecko/2008070400 SUSE/3.0.1-1.1 Firefox/3.0.1

When I have several tabs open, open a new one, then close it, the browser correctly takes me back to the last tab I was on. If I use the Recently Closed Tabs option in the History menu to open a previously closed tab, then close it again, the browser takes me to the right-most tab in the list, rather than the last tab I was on.

Reproducible: Always

Steps to Reproduce:
1.Open several tabs, navigate to the left-most tab
2.Open a new tab, navigate somewhere, and close it
3.Open the same tab up again using the Recently Closed Tabs menu item
4.Close that tab
Actual Results:  
Browser goes to the right-most tab

Expected Results:  
Browser should go to the last tab opened.</Description></bugID>